From 0e429b62528153ce6ea088c0bbc65194ede9a479 Mon Sep 17 00:00:00 2001
From: Doan Tran Cong Danh <congdanhqx@gmail.com>
Date: Mon, 1 Jul 2019 10:32:30 +0700
Subject: [PATCH 1/4] New package: python-fido2-0.7.0

---
 srcpkgs/python-fido2/template | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)
 create mode 100644 srcpkgs/python-fido2/template

diff --git a/srcpkgs/python-fido2/template b/srcpkgs/python-fido2/template
new file mode 100644
index 00000000000..220de15cdb5
--- /dev/null
+++ b/srcpkgs/python-fido2/template
@@ -0,0 +1,21 @@
+# Template file for 'python-fido2'
+pkgname=python-fido2
+_pkgname=fido2
+version=0.7.0
+revision=1
+archs=noarch
+wrksrc="${_pkgname}-${version}"
+build_style=python3-module
+pycompile_module=${_pkgname}
+hostmakedepends="python3-setuptools"
+depends="python3"
+short_desc="Library for FIDO2 functionality"
+maintainer="Doan Tran Cong Danh <congdanhqx@gmail.com>"
+license="BSD-2-Clause"
+homepage="https://github.com/Yubico/python-fido2"
+distfiles="${PYPI_SITE}/f/${_pkgname}/${_pkgname}-${version}.tar.gz"
+checksum=47b02852780849bb4bb698b9727d61970ee77a83eb25715fe7c6235ebd648d87
+
+post_install() {
+	vlicense COPYING
+}

From d38dbcabf00c561dc169cb637cdaa9cf05ee6369 Mon Sep 17 00:00:00 2001
From: Doan Tran Cong Danh <congdanhqx@gmail.com>
Date: Mon, 1 Jul 2019 10:47:21 +0700
Subject: [PATCH 2/4] New package: python-usb-1.0.2

---
 srcpkgs/python-usb/template | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)
 create mode 100644 srcpkgs/python-usb/template

diff --git a/srcpkgs/python-usb/template b/srcpkgs/python-usb/template
new file mode 100644
index 00000000000..b88201f192d
--- /dev/null
+++ b/srcpkgs/python-usb/template
@@ -0,0 +1,21 @@
+# Template file for 'python-usb'
+pkgname=python-usb
+_pkgname=pyusb
+version=1.0.2
+revision=1
+archs=noarch
+wrksrc="${_pkgname}-${version}"
+build_style=python3-module
+pycompile_module=usb
+hostmakedepends="python3-setuptools"
+depends="python3"
+short_desc="Python library for USB communication"
+maintainer="Doan Tran Cong Danh <congdanhqx@gmail.com>"
+license="BSD-3-Clause"
+homepage="https://github.com/pyusb/pyusb"
+distfiles="${PYPI_SITE}/p/${_pkgname}/${_pkgname}-${version}.tar.gz"
+checksum=4e9b72cc4a4205ca64fbf1f3fff39a335512166c151ad103e55c8223ac147362
+
+post_install() {
+	vlicense LICENSE
+}

From 6f778a03eeb6d86096d3bf101ed16330c3732dfa Mon Sep 17 00:00:00 2001
From: Doan Tran Cong Danh <congdanhqx@gmail.com>
Date: Mon, 1 Jul 2019 10:57:34 +0700
Subject: [PATCH 3/4] New package: python-scard-1.9.8

---
 srcpkgs/python-scard/template | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)
 create mode 100644 srcpkgs/python-scard/template

diff --git a/srcpkgs/python-scard/template b/srcpkgs/python-scard/template
new file mode 100644
index 00000000000..b45d81f6b2d
--- /dev/null
+++ b/srcpkgs/python-scard/template
@@ -0,0 +1,19 @@
+# Template file for 'python-scard'
+pkgname=python-scard
+_pkgname=pyscard
+version=1.9.8
+revision=1
+wrksrc="${_pkgname}-${version}"
+build_style=python3-module
+pycompile_module=smartcard
+hostmakedepends="python3-setuptools swig"
+makedepends="python3-devel pcsclite-devel"
+depends="python3 pcsclite"
+short_desc="Python library for smartcard"
+maintainer="Doan Tran Cong Danh <congdanhqx@gmail.com>"
+license="LGPL-2.1-or-later"
+homepage="https://pyscard.sourceforge.io/index.html"
+distfiles="${PYPI_SITE}/p/${_pkgname}/${_pkgname}-${version}.tar.gz"
+checksum=f59dc7ee467b210094e64c923e1c7f5e8e9501a672fc0c8f2cd958153e00d095
+
+CPPFLAGS="-I${XBPS_CROSS_BASE}/usr/include/PCSC"

From 6c06f35bcdbd19933acd81ee550d43efca347e35 Mon Sep 17 00:00:00 2001
From: Doan Tran Cong Danh <congdanhqx@gmail.com>
Date: Mon, 1 Jul 2019 11:48:42 +0700
Subject: [PATCH 4/4] New package: yubikey-manager-3.0.0

---
 srcpkgs/yubikey-manager/template | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)
 create mode 100644 srcpkgs/yubikey-manager/template

diff --git a/srcpkgs/yubikey-manager/template b/srcpkgs/yubikey-manager/template
new file mode 100644
index 00000000000..75e053b589e
--- /dev/null
+++ b/srcpkgs/yubikey-manager/template
@@ -0,0 +1,19 @@
+# Template file for 'yubikey-manager'
+pkgname=yubikey-manager
+version=3.0.0
+revision=1
+archs=noarch
+build_style=python3-module
+hostmakedepends="python3-setuptools"
+depends="libu2f-host python-fido2 python3-openssl python-usb python-scard
+python3-click python3-cryptography python3-six pcsc-ccid"
+short_desc="Library and CLI tools to configure YubiKey"
+maintainer="Doan Tran Cong Danh <congdanhqx@gmail.com>"
+license="BSD-2-Clause"
+homepage="https://developers.yubico.com/yubikey-manager/"
+distfiles="https://developers.yubico.com/${pkgname}/Releases/${pkgname}-${version}.tar.gz"
+checksum=815746ad93780884a0ceb8cb4569a902f2317511b3a41ceead8f9be0a9b1f220
+
+post_install() {
+	vlicense COPYING
+}
